Bug 178394 - Failed to load applet OAFIID:GNOME_*
Failed to load applet OAFIID:GNOME_*
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-19 20:49 EST by Alain Mellan
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-20 10:46:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alain Mellan 2006-01-19 20:49:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
After upgrading to today's gnome-panel, I can't start any applet any more. 

Testing with panel-test-applets, I get:

Activation exception 'g_module_open' of '/usr/$(LIB)/bonobo/monikers/libmoniker_std_2' failed with `/usr/$(LIB)/bonobo/monikers/libmoniker_std_2.so: cannot open shared object file: No such file or directory''. 

The file is there if I go to /usr/lib/bonobo/monikers.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install fc5test2
2. Update  to gnome-panel-2.13.5-1
3.
  

Actual Results:  Panel cannot execute any applet.

Additional info:
Comment 1 Jeremy Fitzhardinge 2006-01-20 00:40:39 EST
I get the same thing.  I can work around it with "ln -s lib64 '$(LIB)'";
presumably "lib" will work on 32 bit systems.
Comment 2 Alain Mellan 2006-01-20 01:13:00 EST
Yes, ln -s lib '$(LIB)'" works on a 32bits systems.
Comment 3 Ray Strode [halfline] 2006-01-20 10:46:17 EST
Hey guys,

This was a brokenness in an attempt to fix bug 156982.

See the fedora-devel-list archives for discussion.  It's fixed in today's rawhide.

Note You need to log in before you can comment on or make changes to this bug.